package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ContractFirstE1Factory
{
    private ContractFirstE1Factory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IContractFirstE1 getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirstE1)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BE631E2C") ,com.kingdee.eas.custom.gggl.IContractFirstE1.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IContractFirstE1 getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirstE1)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BE631E2C") ,com.kingdee.eas.custom.gggl.IContractFirstE1.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IContractFirstE1 getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirstE1)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BE631E2C"));
    }
    public static com.kingdee.eas.custom.gggl.IContractFirstE1 getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirstE1)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BE631E2C"));
    }
}